SDE GDB Upgrade - 9.2 to 10.0 Fails

1716
1
07-26-2011 09:34 AM
by Anonymous User
Not applicable
Original User: bkelley

I have recently upgraded an ArcSDE instance (on SQL Server 2005 SP2) from version 9.2 SP5 to 10 SP2 . The upgrade went successfully and all appears to be working fine. However, when I go to upgrade the geodatabase to the current version, the Perform Pre-Requisite check function fails with the following message:

Failed to execute (UpgradeGDB).

When I check the sdedc_SQL Server.log file it contains the following message:
SDE Server Release 9.2.0 is not compatible with the current Release 10.0.0.

Huh? The documentation clearly states one can upgrade geodatabases directly from 9.2 to 10.

Ideas?

- Brooks
0 Kudos
1 Reply
by Anonymous User
Not applicable
Original User: eugeneyng

Hi,

We need more more information to help you on this.

What do you mean by "upgraded an ArcSDE instance (on SQL Server 2005 SP2) from version 9.2 SP5 to 10 SP2"? Do you mean upgrading the ArcSDE software?

The error message you cited from sdedc_SQL Server.log is just a warning upon backward connection. It is expected. The sde_setup.log and the GDBUpgradeN.log (where N is a sequence number) are more relevant.

How did you " upgrade the geodatabase"? from ArcCatalog, or with Python script? Do you see any error from the upgrade dialog? Also, please double check whether you were upgrading the geodatabase through a connection, which is direct connect and as SYSADMIN user.

Eugene
0 Kudos